Notifications
Clear all

[Closed] 1.9.7 safe with new wordpress?

6 Posts
2 Users
5 Reactions
828 Views
Posts: 1159
Topic starter
(@percysgrowroom)
Noble Member
Joined: 5 years ago

Is it safe to update to the new wordpress if you're using the old version of Wpforo? Im still running 1.9.7 because of bugs, and not sure if the new wordpress is going to work ok with the outdated versions of the plug ins i have for Wpforo.... anyone in the same position as me? Is it safe to update?

5 Replies
dimalifragis
Posts: 2612
(@dimalifragis)
Famed Member
Joined: 4 years ago

New WP? You mean 5.9?

Why upgrade to 5.9? Do you need something that 5.9 offers?

A live and loaded site as yours, should not update to major versions shifts. Not until some 5.9.1 is out.

4 Replies
(@percysgrowroom)
Joined: 5 years ago

Noble Member
Posts: 1159

@dimalifragis Cool, ill wait then, thanks for the info mate

dimalifragis
(@dimalifragis)
Joined: 4 years ago

Famed Member
Posts: 2612

@percysgrowroom Still you can update after making a full backup, and then downgrade to 5.8.3 if you really want to ty 5.9.

There is a splendid DOWNGRADE plugin that works great.

https://wordpress.org/plugins/wp-downgrade/

(@percysgrowroom)
Joined: 5 years ago

Noble Member
Posts: 1159

@dimalifragis I think ill leave it for now mate and follow your advice. Waiting for the .1 version sounds like a great plan TBF 🙂 Make sure all major bugs have gone 🙂

dimalifragis
(@dimalifragis)
Joined: 4 years ago

Famed Member
Posts: 2612

@percysgrowroom To be honest, as much as i love WP, in one site that was (by mistake of mine) auto-upgraded, some functions didn't work as expected. Maybe it is an issue of WP or maybe of the them or some plugin. Impossible to know that.

My rule as a webmaster is to NEVER update quickly to a major new version. Unless some security issue is present.